> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Autenticado] Atualizar um curso



## OpenAPI

````yaml /openapi/tenant.pt-BR.json put /api/v2/education/courses/{courseId}
openapi: 3.0.1
info:
  title: Cativa Tenant API (public)
  version: public
servers:
  - url: https://apis.cativalab.digital/tenant
security: []
paths:
  /api/v2/education/courses/{courseId}:
    put:
      tags:
        - Cursos
      summary: '[Autenticado] Atualizar um curso'
      operationId: UpdateCourse
      parameters:
        - name: courseId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Education.Course.Application.Requests.Authenticated.UpdateCourse.UpdateCourseRequest
        required: true
      responses:
        '200':
          description: OK
      security:
        - Bearer: []
components:
  schemas:
    Cativa.Education.Course.Application.Requests.Authenticated.UpdateCourse.UpdateCourseRequest:
      type: object
      properties:
        courseId:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        coverUrl:
          type: string
          nullable: true
        secondCoverUrl:
          type: string
          nullable: true
        verticalCoverUrl:
          type: string
          nullable: true
        thumbUrl:
          type: string
          nullable: true
        promoVideo:
          type: string
          nullable: true
        shortDescription:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        requirements:
          type: string
          nullable: true
        accomplishments:
          type: string
          nullable: true
        badgeId:
          type: string
          format: uuid
          nullable: true
        isSequencialLessons:
          type: boolean
        showGridByDefault:
          type: boolean
        emitsCertificate:
          type: boolean
        icon:
          type: string
          nullable: true
        spaceId:
          type: string
          format: uuid
          nullable: true
        addNewUsers:
          type: boolean
        isPrivate:
          type: boolean
        isSecret:
          type: boolean
        onlyModeratorsCanPost:
          type: boolean
        allowedBadges:
          type: string
          nullable: true
        hasFeed:
          type: boolean
          nullable: true
        hasEvents:
          type: boolean
          nullable: true
        agentId:
          type: string
          format: uuid
          nullable: true
        agentHasKnowledge:
          type: boolean
          nullable: true
        agentRestrictToUserProgress:
          type: boolean
          nullable: true
        showHeroText:
          type: boolean
          nullable: true
        lessonRatingMode:
          $ref: >-
            #/components/schemas/Cativa.Education.Course.Domain.Enums.ELessonRatingMode
        removeMembersWithoutBadges:
          type: boolean
      additionalProperties: false
    Cativa.Education.Course.Domain.Enums.ELessonRatingMode:
      enum:
        - 0
        - 1
        - 2
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer
        <token>.
      scheme: bearer
      bearerFormat: JWT

````